#!/bin/sh

###
### Remote Control System anonymizer installer
##

echo -n "Installing rcsanon"

if [ `whoami` != "root" ]; then
   echo -e "\n[ERROR] You must be root"
   exit 1
fi

echo -n "."

if [ -x /etc/init.d/rcsanon ]; then
   /etc/init.d/rcsanon stop
elif [ -x /opt/rcsanon/init.d/rcsanon ]; then
   /opt/rcsanon/init.d/rcsanon stop
fi

echo -n "."

if fuser -s 80/tcp 443/tcp; then
   echo -e "\n[ERROR] The following processes must be terminated before installation"
   fuser -v 80/tcp 443/tcp
   exit 1
fi

if fuser -4 -s 80/tcp 443/tcp; then
   echo -e "\n[ERROR] The following processes must be terminated before installation"
   fuser -4 -v 80/tcp 443/tcp
   exit 1
fi

echo -n "."

if ! tail -n +68 "$0" | tar xz -C /opt/; then
   echo -e "\n[ERROR] Unable to extract the tarball"
   exit 1;
fi

echo -n "."

mkdir -p /opt/rcsanon/tmp/

if [ -d /etc/init.d ]; then
   cp /opt/rcsanon/init.d/rcsanon /etc/init.d/rcsanon
   chmod 0755 /etc/init.d/rcsanon
   
   if chkconfig --add rcsanon >/dev/null 2>&1; then true
   elif update-rc.d rcsanon defaults >/dev/null 2>&1; then true
   else echo -e "\n[WARNING] The distribution is not supported, you must run \"/etc/init.d/rcsanon start\" manually at boot"
   fi

   /etc/init.d/rcsanon start
else
   echo -e "\n[WARNING] The distribution is not supported, you must run \"/opt/rcsanon/init.d/rcsanon start\" manually at boot"

   /opt/rcsanon/init.d/rcsanon start
fi

echo "."

echo "Installation completed"

exit 0

#EOF
